# TypeCode_Case.h File Reference

`#include "ace/config-all.h"`

Include dependency graph for TypeCode_Case.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO
namespace | TAO::TypeCode
namespace | ACE

## Classes

class | TAO::TypeCode::Case< StringType, TypeCodeType >
| Abstract base class for that represents an IDL `union` case/member. More...
struct | ACE::VP_traits< TAO::TypeCode::Case_Dynamic >

## Typedefs

typedef Case< CORBA::String_var, CORBA::TypeCode_var > | Case_Dynamic

## Detailed Description

Id
  TypeCode_Case.h,v 1.6 2005/05/27 20:33:55 michel_j Exp

Header file for `TAO::TypeCode::Case` type.

Author:
  Ossama Othman

## Typedef Documentation

typedef Case<CORBA::String_var, CORBA::TypeCode_var> TAO::TypeCode::Case_Dynamic